# $Revision: 1.6 $, $Date: 2006/07/27 16:38:52 $
#
# Conditional build:
%bcond_without	tests	# do perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Date
%define		pnam	Japanese-Era
Summary:	Date::Japanese::Era - calculate dates in the Japanese-Era calendar
Summary(pl):	Date::Japanese::Era - obliczanie dat w kalendarzu ery japoskiej
Name:		perl-Date-Japanese-Era
Version:	0.06
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9b33e50cb76376680762c0765f93970c
URL:		http://search.cpan.org/dist/Date-Japanese-Era/
BuildRequires:	perl-Date-Calc
BuildRequires:	perl-Jcode
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Lingua-JA-Numbers
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Date::Japanese::Era handles conversion between Japanese Era and
Gregorian calendar.

%description -l pl
Data::Japanese::Era obsuguje konwersj pomidzy kalendarzem ery
japoskiej (Japanese-Era) a gregoriaskim.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Date/Japanese/Era.pm
%dir %{perl_vendorlib}/Date/Japanese/Era
%{perl_vendorlib}/Date/Japanese/Era/Table.pm
%dir %{perl_vendorlib}/Date/Japanese/Era/Table
%{perl_vendorlib}/Date/Japanese/Era/Table/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Date-Japanese-Era.spec,v $
Revision 1.6  2006/07/27 16:38:52  glen
- 0.06, generic URL

Revision 1.5  2004/11/03 22:30:18  paladine
- formatting

Revision 1.4  2004/06/05 18:10:38  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.3  2004/04/19 22:22:14  ankry
- license/description fixes

Revision 1.2  2004/04/11 23:08:28  qboosh
- pl, doc, noarch

Revision 1.1  2004/04/11 16:48:39  agaran
new spec
